Subject: Re: Re: [PATCH v2 3/4] use new config API for worktree configurations of submodules

From: Heiko Voigt <[email-masked]>
Date: Thu, 17 Jul 2014 21:53:46 +0200

On Tue, Jul 15, 2014 at 03:37:21PM -0700, Junio C Hamano wrote:
> Heiko Voigt <[email-masked]> writes:
> 
> >> Can there be any caller that include and use submodule-config.h that
> >> does not need anythjing from submodule.h?  Or vice versa?
> >> 
> >> It just did not look like these two headers describe independent
> >> subsystems but they almost always have to go hand-in-hand.  And if
> >> that is the case, perhaps it is not such a good idea to add it as a
> >> new header.  That was where my question came from.
> >
> > The reason for a separate module was because we add quite some lines of
> > code for it.
> >
> > $ wc -l submodule.c
> > 1068 submodule.c
> > $ wc -l submodule-config.c 
> > 435 submodule-config.c
> >
> > Because of this I would like to keep the c-files separate.
> 
> OK.  I do not feel too strongly.  It just looked odd that a change
> needs to add a new header file without having to change the code in
> existing files at all.
> 
> Any other thing that still needs fixing in the series, or is it now
> ready for 'next'?

All comments addressed. From my side it should be ready for next.

Cheers Heiko